%define module_name	usbip
%define module_version	0.1.5
%define module_release	alt3

%define kversion	2.6.18
%define krelease	alt24
%define flavour		ovz-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/%module_name

Summary: Linux %{module_name} kernel module
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132626.24
License: GPL2
Group: System/Kernel and hardware
URL: http://%module_name.sourceforge.net/

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch: %module_name-0.1.5-2.6.18.patch
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq: coreutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
Requires: kernel-modules-%{module_name}_common-%flavour = %version-%release

%description
%module_name module for Linux kernel.


%package -n kernel-modules-%{module_name}_common-%flavour
Summary: Linux %{module_name}_common_mod kernel module
Group: System/Kernel and hardware
Provides: kernel-modules-%{module_name}_common-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%{module_name}_common-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%{module_name}_common-%kversion-%flavour-%krelease > %version-%release
Prereq: coreutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease

%description -n kernel-modules-%{module_name}_common-%flavour
%{module_name}_common_mod module for Linux kernel.



%package -n kernel-modules-vhci_hcd-%flavour
Summary: Linux vhci_hcd kernel module
Group: System/Kernel and hardware
Provides: kernel-modules-vhci_hcd-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-vhci_hcd-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-vhci_hcd-%kversion-%flavour-%krelease > %version-%release
Prereq: coreutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
Requires: kernel-modules-%{module_name}_common-%flavour = %version-%release

%description -n kernel-modules-vhci_hcd-%flavour
vhci_hcd module for Linux kernel.


%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
%patch -p1


%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build KSOURCE=%_usrsrc/linux-%kversion-%flavour CC=gcc-$GCC_VERSION


%install
install -d -m 0755 %buildroot%module_dir
install -m 0644 *.ko %buildroot%module_dir/


%post
%post_kernel_modules %kversion-%flavour-%krelease


%postun
%postun_kernel_modules %kversion-%flavour-%krelease


%files
%module_dir/%module_name.*


%files -n kernel-modules-%{module_name}_common-%flavour
%dir %module_dir
%module_dir/%{module_name}_common_mod.*


%files -n kernel-modules-vhci_hcd-%flavour
%module_dir/vhci-hcd.*


%changelog
* Tue May 06 2008 Michail Yakushin <silicium@altlinux.ru> 0.1.5-alt3.132626.24
- Build for kernel-image-ovz-smp-2.6.18-alt24.

* Tue Dec 11 2007 Sergey Vlasov <vsu@altlinux.ru> 0.1.5-alt3
- Add Packager tag to fix automatic rebuilds.

* Wed Aug 08 2007 L.A. Kostis <lakostis@altlinux.ru> 0.1.5-alt2
- prepare for kernel cvs.

* Tue Aug 07 2007 Led <led@altlinux.ru> 0.1.5-alt1
- build for std-smp-2.6.18-alt7

* Sun Jul 29 2007 Led <led@altlinux.ru> 0.1.5-alt1
- 0.1.5
- added %module_name-0.1.5-2.6.18.patch
- cleaned up spec

* Wed Jul 25 2007 Led <led@altlinux.ru> 0.1.4-alt1
- Initial build
